User:DASHBot/Templatework.css

Template = "TEMPLATENAME" #MUST BE IN TEMPLATE NAMESPACE, Do not include the Beginning 'Template:' Include_Redirects = True #a

Template = "TEMPLATENAME"								#MUST BE IN TEMPLATE NAMESPACE, Do not include the Beginning 'Template:'

Include_Redirects = True									#also include redirects to this template

Substitute = True										#add "subst:" to the beginning of the template

Remove = True											#remove the template entirely

Requesting_user = "DASHBot"			# The user requesting this action.

New_template = "Newtemplate"								#Again, do not include the 'Template:' at the beginning. Ignore if substing or removing.

Summary = None										#Fill in the summary please, otherwise the bot will use a default one.



################################DEFAULT SUMMARY CODE####################################
if not Summary:
	
	if Remove and not Substitute:
		Summary  = "Bot: Removing [[Template:%(Template)s|%(Template)s]] by the request of %(Requesting_user)s"%{'Template':Template,'New_template':New_template,'Requesting_user': Requesting_user}
	if Substitute and not Remove:
		Summary  = "Bot: Substituting [[Template:%(Template)s|] by the request of %(Requesting_user)s"%{'Template':Template,'New_template':New_template,'Requesting_user': Requesting_user}

	if not Substitute or Remove:
		Summary = """Bot: Replacing [[Template:%(Template)s|%(Template)s]] with [[Template:%(New_template)s|%(New_template)s]] by the request of %(Requesting_user)s.""" %{'Template':Template,'New_template':New_template,'Requesting_user': Requesting_user}

Content Disclaimer

Informasi ini disarikan dari Wikipedia dan disajikan kembali untuk tujuan edukasi. Konten tersedia di bawah lisensi CC BY-SA 3.0. Kami tidak bertanggung jawab atas ketidakakuratan data yang bersumber dari kontribusi publik tersebut.

  1. The information displayed on this website is sourced in part or in whole from Wikipedia and has been adapted for the purpose of restating it. We strive to provide accurate and relevant information, however:
  2. There is no guarantee of absolute accuracy. Wikipedia is an open, collaborative project that can be edited by anyone, so information is subject to change.
  3. It is not intended to constitute professional advice. The content displayed is for informational and educational purposes only. For important decisions (e.g., medical, legal, or financial), please consult a professional.
  4. Content copyright. Wikipedia is licensed under the Creative Commons Attribution-ShareAlike License (CC BY-SA). This means that content may be reused with appropriate attribution and shared under a similar license.
  5. Responsible use. Any risk arising from the use of information from this website is entirely the responsibility of the user.